# 17085 jamp pipeline
setwd("~/Documents/UNI_und_VORLESUNGEN/GitHub/JAMP/")

#install.packages(c("bold", "XML", "seqinr"), dependencies=T)
#install.packages("JAMP", repos = NULL, type="source")
#install.packages("~/Desktop/bold-master", repos = NULL, type="source")


library("JAMP") #v0.24
library("bold")
library("XML")
# base directory
setwd("/Volumes/Vasco_4TB/2017 finland haplo")

#Demultiplexing_shifted(c("../0 NGS data/NG-9759_Lib_EV_final10__L_lib126701_4725_1_1.fastq.bz2"), "../0 NGS data/NG-9759_Lib_EV_final10__L_lib126701_4725_1_2.fastq.bz2", tags="BF_BR", combinations="~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta HAPLOTYPING/2 JAMP finland/demulti_filenames_160806.csv")

# Delete A,B,C, ...!


U_merge_PE() # merge PE




data <- list.files("/Volumes/Vasco_4TB/2017 finland haplo/B_U_merge_PE/_data")

A <- gsub(".*_.*_(.*)._.*_PE.fastq", "\\1", data)
B <- gsub(".*_.*_.*_(.*)._PE.fastq", "\\1", data)

cbind(data, A, B)

Cutadapt(forward=A, reverse=B)

U_max_ee(max_ee=0.5, fastq=T)



# select sequ to make revcomp of!
revcomp <- list.files("D_U_max_ee/_data")
revcomp_tf <- grepl(".*_.*_BR.._.*_PE.*", revcomp)
cbind(revcomp, revcomp_tf)

U_revcomp(RC= revcomp_tf) # make RevComp of selected reads

# min max
new_A <- A
new_B <- B

new_A[grepl("BR", A)] <- B[grepl("BR", A)]
new_B[grepl("BR", A)] <- A[grepl("BR", A)]

temp <- paste(new_A, new_B, sep="_")

temp[temp=="BF1_BR1"] <- 217
temp[temp=="BF1_BR2"] <- 316
temp[temp=="BF2_BR1"] <- 322
temp[temp=="BF2_BR2"] <- 421

temp <- as.numeric(temp)

cbind(data, temp)

Minmax(min= temp, max= temp)


U_fastq_2_fasta()

# rarify to 400.000 reads

U_subset(sample_size=400000)

if(F){ # no truncating
# trimm edges! (to same region)
files <- list.files("G_U_fastq_2_fasta/_data")
files <- paste("../G_U_fastq_2_fasta/_data/", files, sep="")

Anum <- rep(0, length(files))
Bnum <- rep(0, length(files))

A <- sub(".*_.*_(.*)._.*_PE.*", "\\1", files)
B <- sub(".*_.*_.*_(.*)._PE.*", "\\1", files)

Anum[A=="BF2"] <- 105
Anum[A=="BR2"] <- 99

Bnum[B=="BF2"] <- 105
Bnum[B=="BR2"] <- 99

cbind(files, A, B, Anum, Bnum)

U_truncate(files, Anum, Bnum, fastq=F)
# RUN DENOISING on trimmed

files <- list.files("H_U_truncate/_data/")
files <- paste("../H_U_truncate/_data/", files, sep="")

Denoise(files, unoise_alpha=5, minhaplosize=0.01, minrelsize=0.001)

}



# RUN DENOISING

#denoising
setwd("/Volumes/Vasco_4TB/2017 finland haplo")

files <- list.files("H_U_subset/_data", full.names=T)
files <- paste("../H_U_subset/_data/", files, sep="")

BF1_BR1 <- c(which(grepl(".*data/.*_.*_BR1._BF1._PE.*", files)), which(grepl(".*data/.*_.*_BF1._BR1._PE.*", files)))
files[BF1_BR1]


Denoise(files[BF1_BR1], unoise_alpha=5, minhaplosize=0.01, minrelsize=0.001, OTUmin=0.1)



BF2_BR2 <- c(which(grepl(".*data/.*_.*_BR2._BF2._PE.*", files)), which(grepl(".*data/.*_.*_BF2._BR2._PE.*", files)))

files[BF2_BR2]

Denoise(files[BF2_BR2], unoise_alpha=5, minhaplosize=0.01, minrelsize=0.001, OTUmin=0.1)

#testing
#files <- files[BF2_BR2][1:5]



BF2_BR1 <- c(which(grepl(".*data/.*_.*_BR1._BF2._PE.*", files)), which(grepl(".*data/.*_.*_BF2._BR1._PE.*", files)))

files[BF2_BR1]


Denoise(files[BF2_BR1], unoise_alpha=5, minhaplosize=0.01, minrelsize=0.001, OTUmin=0.1)




BF1_BR2 <- c(which(grepl(".*data/.*_.*_BR2._BF1._PE.*", files)), which(grepl(".*data/.*_.*_BF1._BR2._PE.*", files)))

files[BF1_BR2]


Denoise(files[BF1_BR2], unoise_alpha=5, minhaplosize=0.01, minrelsize=0.001, OTUmin=0.1)







